<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$can=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$mov_numero=$dato['mov_numero']+1;

$can=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$mov_id=$dato['mov_id']+1;

$sql=mysqli_query($con, "SELECT cajas_caja_id, apertura, mca_estado from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa'  and sucursal='$sucursal' and mca_estado='1'");
$rowa= mysqli_fetch_array($sql);
$apertura=$rowa['apertura'];
$cajas_caja_id=$rowa['cajas_caja_id']; 



$movimiento='Cuadre de Caja';

$forma_pag=$_POST['forma_pag'];
$fecha=date('Y-m-d H:i:s');
$detalle=$_POST['detalle'];
$valor=$_POST['valor'];

if ($forma_pag=='efectivo') {
	 $banco='Efectivo';
}
if ($forma_pag=='transferencia') {
	 $banco=$_POST['banco'];
}

$registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
VALUES  ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','$movimiento','$detalle','$valor','salida','$forma_pag','$banco','$sucursal','$empresa')") or die(mysqli_error($con)); 

$registros=mysqli_query($con,"INSERT into egresos (concepto, cantidad ,v_unitario,total,fecha,mov_id,metodo_pago,banco,usuario,sucursal,empresa) 
VALUES  ('$detalle','1','$valor','$valor','$fecha','$mov_id','$forma_pag','$banco','$usu_id','$sucursal','$empresa')") or  die(mysqli_error($con));

echo '<div class="alert alert-success alert-dismissable">
		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
		<strong>Egreso </strong>Registrado correctamente
	</div>';
?>